function plotExample2()
	svgPlot=SvgPlotNew('plotExample2.svg', 800, 600);
	
	% Define new plotData object
	plotData=PlotDataNew();
	
	% Add sine function
	n=100;
	x=[0:n]/n*4*pi;
	y=sin(x);
	plotData=PlotDataAdd(plotData, x, y);
	% Add cosine function
	y=cos(x);
	plotData=PlotDataAdd(plotData, x, y );
	
	% Draw plotData figure in rectangle from (10,10) to (790, 590)
	svgPlot=SvgPlotDraw(svgPlot, plotData, 10, 10, 790, 590 );
	
	svgPlot=SvgPlotClose(svgPlot);
	
	% In QtOctave, you can show your figures. Uncomment next lines in QtOctave to show it.
	svgcanvasload(1, 'plotExample2.svg');
	svgcanvassave(1, 800, 600, 'plotExample2.png');
endfunction