#!/bin/bash

function extraer_funcion()
{
	while read linea ; do
		if [[ $linea =~ ^## && $linea != "## -*- texinfo -*-" ]] ; then
			echo "$linea" | sed -e 's/^## //g'
			continue
			if [[ $linea =~ ^##.@seealso ]] ; then
				linea=`echo $linea | sed -re 's/^## +@seealso//g'`
				linea=`echo $linea | sed -re 's/\\{|\\}//g'`
				echo See also: "$linea"
			else
				echo "$linea" | sed -e 's/^## //g'
			fi
		fi
	done
}


function procesar_fichero()
{
	while read linea ; do
		if [[ $linea =~ ^@@funcion ]] ; then
			fichero=`echo $linea | sed -e 's/^@@funcion //g'`
			cat $fichero | extraer_funcion
		elif [[ $linea =~ ^@@ejemplo ]] ; then
			fichero=`echo $linea | sed -e 's/^@@ejemplo //g'`
			echo '@example'
			cat $fichero
			echo
			echo '@end example'
		else
			echo "$linea"
		fi
	done
}

#cat ../inst/SvgPlotLine.m | extraer_funcion 
#cat svgplot.texi.in | procesar_fichero > svgplot.texi

python make_help.py
makeinfo svgplot.texi
rm -Rf svgplot
mkdir svgplot
mkdir svgplot/examples
cp examples/*.png svgplot/examples
makeinfo --html svgplot.texi