## -*- texinfo -*-
## @deftypefn {Function File} {} PlotDataSetLine (@var{plotData}, @var{ok})
## Set line to last data added to @var{plotData}. @var{ok} could be true or false.
## @seealso{SvgPlotNew, SvgPlotDraw}
## @seealso{PlotDataNew, PlotDataAdd, PlotDataSetColor, PlotDataSetColorSymbol,  PlotDataSetSymbol, PlotDataSetGrid, PlotDataSetXLabel, PlotDataSetColorLine, PlotDataSetLine, PlotDataSetYLabel, PlotDataSetColor, PlotDataSetPlotTitle}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [plotData]=PlotDataSetLine(plotData, ok)
	n=length(plotData);
	plotData{n}.line_style=ok;
endfunction